c
c digital filtering system common
c *** WARNING ***
c must be preceded by the include file hec_par.inc
c
c read from weights file
c dig_weight_version   date of weight coefficient file release (ie 990506)
c dig_nslice           number of time slices used in filtering
c dig_nwpar            number of filtering weight parameters
c dig_slice_1          the first guess at the first time slice used in filtering
c dig_t_global         global time offset (ns) to synchronise to ref cell timing
c dig_ic_ref           reference cell ic for global time offset
c dig_amp_par(ic,dig_nslice,dig_nwpar)   parameters for the amplitude weight 
c dig_tim_par(ic,dig_nslice,dig_nwpar)   parameters for the time weights
c dig_t0_raw(ic)       raw t0 (ns) for each cell
c dig_t0(ic)           t0 (ns) for each cell
c
c dig_weight_amp(ic,dig_nslice)     amplitude weights for the event
c dig_weight_tim(ic,dig_nslice)     time weights for the event
c dig_ns(ic)                        time phases [0,25ns] for the event
c dig_slice_shift(ic)               time slice shifts wrt dig_slice_1 for the event
c
      integer mx_dig_nslice, mx_dig_nwpar      
      parameter(mx_dig_nslice=9, mx_dig_nwpar=9)            
c
      integer dig_weight_version
      integer dig_nslice
      integer dig_nwpar
      integer dig_slice_1
      real dig_t_global
      integer dig_ic_ref
      real dig_amp_par(i_adc_dim, mx_dig_nslice, mx_dig_nwpar)
      real dig_tim_par(i_adc_dim, mx_dig_nslice, mx_dig_nwpar)
      real dig_t0_raw(i_adc_dim)
      real dig_t0(i_adc_dim)
      real dig_weight_amp(i_adc_dim, mx_dig_nslice)
      real dig_weight_tim(i_adc_dim, mx_dig_nslice)
      real dig_ns(i_adc_dim)
      integer dig_slice_shift(i_adc_dim)
c
      common /sssdigsys/ dig_weight_version, 
     +                   dig_nslice, 
     +                   dig_nwpar, 
     +                   dig_slice_1, 
     +                   dig_t_global, 
     +                   dig_ic_ref,
     +                   dig_amp_par, 
     +                   dig_tim_par,
     +                   dig_t0_raw,
     +                   dig_t0,
     +                   dig_weight_amp, 
     +                   dig_weight_tim,
     +                   dig_ns,
     +                   dig_slice_shift
c



