#
# to produce the hec_adc executable for onlinescr
#
# VPATH sets where to look for include files (besides the current
# directory)
#
VPATH=../inc
#
# dummy object list
#
OBJECTS= user_ini.o 
#
# now figure out compiler and options for this platform
#
PLATFORM=$(shell uname)
#
# HP Unix
#
ifeq "$(PLATFORM)" "HP-UX"
  LIB = -L/cern/pro/lib -lpacklib -lkernlib -lmathlib -lm
  LINK         = fort77 +ppu -O2
  COMP         = fort77 -c +ppu  -O2 -I../inc
  LIB_NAME     = hec_adc.a 
  OS_EXTENTION = 
endif
#
# PC Linux
#
ifeq "$(PLATFORM)" "Linux"
  LIB   = `cernlib packlib genlib kernlib`
  COMP  = g77 -c -I../inc
  LINK  = g77 -u MAIN__
  LIB_NAME = hec_adc_LINUX.a
endif
#
# compile 
#
hec_adc : ../$(LIBNAME)
	$(LINK) ../$(LIB_NAME) $(LIB) 
	mv -f a.out hec_adc
#



