      subroutine hec_online_ter
c
c output and delete system histograms
c
      implicit none
c
      include'hec_par.inc'         ! shared parameters
      include'hec_datacard.inc'    ! datacard values
      include'hec_geo.inc'         ! geometry correspondence tables
      include'hec_online.inc'      ! run number and such
c
      integer istat, icycle
      character *21 filename
c
c open hbook file for system histograms
c
      print *, ' *** opening online hbook file on unit',io_his
      filename = 'hec_online.hbook'
      call hropen(io_his, 'hec_online', 
     +     filename, 'n', 1024, istat)
      if (istat .ne. 0) then
         print *, ' *** problem opening online hbook file ***',
     +        istat
         stop
      endif
c
c output and delete online histograms
c
      call hcdir('//hec_online', ' ')
c
      call hrout(0, icycle, ' ')
c
c close the system histograms hbook file
c
      call hrend('hec_online')
      call hdelet(0)
      close(io_his)
c
      end

