      subroutine user_ntuple_block_evt1
c
c pass 1 standard ntuples filling event routine
c
      implicit none
c
      include'hec_par.inc'      ! parameters used in other includes
      include'hec_datacard.inc' ! common for datacard values
      include'hec_geo.inc'      ! geometry correspondence tables
      include'hec_ntuple.inc'   ! ntuple package common
      include'hec_search.inc'   ! search common
c
      include'user_ntuple_block.inc'
c
      integer i
c
c do over all "interesting" adc channels 
c
      user_cells_used = i_adc_used
      do i = 1, user_cells_used
c
c fill ntuple variables for adc max, use either calibrated
c or uncalibrated depending on eunit datacard
c
        if (hec_s_chan(i)) then
          user_chflag(i) = 1
        else
          user_chflag(i) = 0
        endif
c
      enddo
c
c fill ntuple
c
      call hfntb(101,'hecuser')
c
      return
      end







